Subject: Re: [Bitcoin-development] Draft BIP for Bloom filtering

From: Gavin Andresen <[email-masked]>
Date: Wed, 24 Oct 2012 16:29:07 -0400

On Wed, Oct 24, 2012 at 3:10 PM, Mike Hearn <[email-masked]> wrote:
> Bitcoin already keeps track of which nodes have seen what to avoid redundant
> inv announcements.

Oops, right. That memory usage is bounded right now by bounds on the
memory pool size, though, right? (I'm being lazy and not digging into
that code)

What is the worst-case for an attacker interested in trying to get you
to saturate your upstream bandwidth or use lots of memory?  Set a
bloom filter that matches everything, and then start requesting old
blocks in the chain? It would be nice if the worst-case was no worse
than the worst-case we've got now (... requesting full, old
blocks...).

-- 
--
Gavin Andresen